HBC update v1.1.1

Discussion in 'Wii - Hacking' started by mike333, Dec 7, 2012.

  1. lulwut

    lulwut GBAtemp Fan

    Member
    1
    Mar 19, 2010
    well, daco always told me he dislikes mods as it made it look like others stole his shit and called it as their own. let alone the mods done are complete b/s like the IOS249 shit. and the last revision is from 12 months ago, but he's been working on 0.8 for ages and released beta updates along with the process. but im sure nobody checks for updates now do you.

    so ye, he already included the new HBC title in his latest beta update

    yes, but preloader was canceled and its source released for pick up. priiloader is damn well alive and this modding already started while priiloader was in full dev. big difference.


    also, i know why daco keeps repeating that its beta and bla bla bla but im pretty sure its safe. sure it has a few nasty bugs he needs to work out but they shouldn't prevent the general usage anyway...
     
  2. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    14
    Apr 2, 2011
    United States
    The Twilight Zone
    Fixed that for you. :P
     
    Thomas83Lin, megazig and XFlak like this.
  3. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    Still talking about yourself at the third person, eh?

    I know about the 0.8, that's why I wanted to know your stand about releasing a new version of an old release while there is another version number with newer feature released before that (did you follow? hard to explain :P), updating to 0.8 could miss some features instead of adding them, and that's why I said maybe you would prefer to release an update yourself instead, numbered like you chose.

    But as long as it's noted as 0.7 mod, and not incremented I guess it's fine and won't mess with your own version numbering.
     
    megazig and JoostinOnline like this.
  4. mauifrog

    mauifrog DA KINE WiiHacker

    Member
    4
    Jan 21, 2010
    United States
    Since preloader on the mod priiloader are open source, it hardly maters what daco thinks about mods, especially since the installer does not work the way people want it to work. If daco does not like mods he should enable the features people like to use, like installing it under running cios, on version patched system menus, etc. Instead he breaks these features which where there, then they are gone, so mods are great, as long as they work of course.
     
    XFlak likes this.
  5. lulwut

    lulwut GBAtemp Fan

    Member
    1
    Mar 19, 2010
    we've been over this and i wont get at it again. ill only say that the usage of a different ios is b/s. specially with 0.8 (with 0.7 i can understand but its still b/s). we both think alike on that subject.
    running on a patched ios is always a hazard and if youre going to change the version we have completely lost control of what is going on. let alone the version change is a stupid idea to begin with. daco supports nice and clean environments, not ones created by tutorials which make no sense. but, again, we've been over this to much.

    also isn't it funny you dear beloved admins do ask what he thinks of it , while you give em the finger ? hilarious.
     
  6. mauifrog

    mauifrog DA KINE WiiHacker

    Member
    4
    Jan 21, 2010
    United States
    Your right, it has been said to many times. Priiloader is the last thing you would install or support if you where looking for a clean environment. I mean, how much more could you screw with the system menu, not very clean. And the argument ahbprot vs cios is just stupid, you still get the same ios patches running, so it is just stupid. This simple truth is that daco's moral wants and desires are not relevant. Know trust to install the priiloader with the ahbprot, sure it works fine, but so does cios. That is why most, if not nearly all priiloader installs use the 236mod, or disable ahbprot and install with ios36. Why would I give a crap what he thinks. I like to patch the version of my system menu, stupid or not, perfectly safe and perfectly compatible with all versions of preloader/priiloader up till 0.8. Lets that something that is working, risk breaking it by blocking patched system menu's, cioscorp, ect, just to screw with people. Has anyone even seen a brick caused from a bad cios via preloader/priiloader install? I have not seen any, don't see any on the bug report, so what is the point. Rant Rant Rant....
     
  7. air2004

    air2004 Air

    Member
    5
    Oct 24, 2008
    United States
    Anytown
    Maybe there setting up for the Ban hammer (eventually)
     
  8. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    14
    Apr 2, 2011
    United States
    The Twilight Zone
    He was wrong, it doesn't work. Nintendo just hasn't bothered fixing disc exploits since the Twilight Hack.
     
  9. lulwut

    lulwut GBAtemp Fan

    Member
    1
    Mar 19, 2010
    its cleaner then you think and how much more could you screw it? well, we should ask you instead.

    except creating a cios is retarded. you already have 2, why create another one? hell, why install a cios if you can use ahbprot? useless extra step you should never need

    hilarious. you have no idea.

    ooo did that rejection hurt? risk breaking my ass btw. i think that proves you dont even know what you're talking about.
    you will just never understand so lets just leave it at this
     
  10. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    14
    Apr 2, 2011
    United States
    The Twilight Zone
    You didn't answer his question Daco. :P
     
  11. mauifrog

    mauifrog DA KINE WiiHacker

    Member
    4
    Jan 21, 2010
    United States
    I understand that replacing \title\00000001\00000002\content\0000007c.app with priiloader, moving \title\00000001\00000002\content\0000007c.app to \title\00000001\00000002\content\1000007c.app, adding settings to \title\00000001\00000002\data\, temporarily patching the system menu with an unlimited option of patches which my temporarily screw crap up, this is a very unclean mess when you compare it to simply patching the version number and fake signing \ticket\title\00000001\00000002\content\title.tmd. Also priiloader does nothing to enable modded wiis to actually accept a Nintendo update. Why not update, loss cios, etc. I just version patch your cios, system menu, you have mod your wii and accept any online/disc update you like without lossing anything, why would you not want to be able to do that? Also consider safety, there is minimal brick potental from patching the tmd of your system menu, priiloader has with the exception of softcorp, probably brick more wiis that anything else I can think of.

    Everyone is welcome to there opinions, but you just sound like an ass when you defend yours, you offer nothing to support your position, and you refuse to answer simple questions.

    Anyway, this is way of my original point. Preloader/priiloader are open source, so people are welcome to modify it and contribute those modifications to the community. You don't need to ask for permission as it has already been given.
     
  12. lulwut
    This message by lulwut has been removed from public view by TwinRetro, Dec 13, 2012, Reason: Keep the insults out of it.
    Dec 13, 2012
  13. TwinRetro

    TwinRetro Former Staff

    Former Staff
    14
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    I really don't care about snarky or sarcastic comments, but when you openly insult a member, that will NOT be tolerated.
     
    JoostinOnline likes this.
  14. lulwut

    lulwut GBAtemp Fan

    Member
    1
    Mar 19, 2010
    then you should've edited it out, cause there was some really interesting things we both wanted to know and im not typing it all over again just to bend to this forum
     
  15. TwinRetro

    TwinRetro Former Staff

    Former Staff
    14
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    So be it, I don't have the time, nor the responsibility to pick through your post. If you act like an ass, expect the consequences.
     
  16. lulwut

    lulwut GBAtemp Fan

    Member
    1
    Mar 19, 2010
    say the hypocrite mods

    [USER HAS BEEN SUSPENDED FOR THIS POST]
     
  17. TwinRetro

    TwinRetro Former Staff

    Former Staff
    14
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    Yeah, I'm done with your mouth. Take a break.
     
    XFlak likes this.
  18. DarkMatterCore

    DarkMatterCore I like turtles.

    pip Developer
    7
    May 30, 2009
    Venezuela
    Cabimas, Zulia, Venezuela
    I added HW_AHBPROT access support to the Priiloader modification made by actar: https://dl.dropbox.com/u/6957349/Priiloader_v0.8b2_r152_SVN.rar (source included).

    I had to replace the su.tik and su.tmd files with proper ones, because the installer was giving a -1029 error when calling ES_Identify (and of course, add the runtime IOS patch code to it).
     
  19. Maxternal

    Maxternal Peanut Gallery Spokesman

    Member
    9
    Nov 15, 2011
    Deep in GBAtemp addiction
    Cool,
    so what CAN you actually run with AHBPROT patched out now? Is there anything PriiLoader still CAN'T do that for?

    Also, I see it's version 0.8 beta 2 ... exactly HOW beta is this? Any bugs we should know about?
     
  20. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    14
    Apr 2, 2011
    United States
    The Twilight Zone
    I believe Daco blocks custom SM versions. They are no danger (in fact they offer brick protection and convenience for anyone who wants to update there IOS/channels officially without losing Priiloader), but he doesn't like them, so they go. He's weird about that.
     
  21. DarkMatterCore

    DarkMatterCore I like turtles.

    pip Developer
    7
    May 30, 2009
    Venezuela
    Cabimas, Zulia, Venezuela
    I added HW_AHBPROT access support to the installer, not to Priiloader itself. The only changes I applied were those made by actar in order to add support with the new HBC ID (but instead of using r142, I used r152, which is the latest one available on the SVN repository).

    For some reason, Daco hasn't uploaded the updated installer code to the repository, the one used in the official v0.7 release (which DOES have HW_AHBPROT flag support). Beats me why.

    I have tested it and I didn't notice any apparent bugs. But keep in my mind that you still can use this to update to v0.8 beta 6.

    If you need more info, you can check the Priiloader changes list.
     
    Maxternal likes this.
Quick Reply
Draft saved Draft deleted
Loading...